package com.gree.mall.manager.commonmapper.workorder;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.engin.*;
import com.gree.mall.manager.bean.workorder.SettlementOrderManualVO;
import com.gree.mall.manager.bean.workorder.WorkerSettlementManualVO;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface RpMaterialMaper {

    IPage<RpMaterialOrderVO> list(Page page,@Param("ex") ZfireParamBean zfireParamBean);

    IPage<WorkerMaterialSettlementVO> workerSettlementPageV2(Page page,@Param("ex") ZfireParamBean zfireParam);

    IPage<RpMaterialOrderLineVO> listLine(Page page, @Param("ex")  ZfireParamBean zfireParamBean);

    IPage<RpMaterialOrderWechatVO> listWechat(Page page, @Param("ex")  ZfireParamBean zfireParamBean);

    IPage<RpMaterialOrderAllListVO> listAll(Page page,@Param("ex") ZfireParamBean zfireParamBean);

    IPage<WebsitSalesManagerVO> listSalesManager(Page page,@Param("ex") ZfireParamBean zfireParamBean);

    IPage<WorkerSettlementManualVO> listManual(Page page,@Param("ex")  ZfireParamBean zfireParam);

    IPage<SettlementOrderManualVO> listSettlement(Page page, @Param("ex") ZfireParamBean zfireParam);
}
